"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppletData = exports.AppletInfo = exports.Authentication = exports.AuthToken = void 0;
const zod_1 = require("zod");
exports.AuthToken = zod_1.z.object({
    expires: zod_1.z.string(),
    token: zod_1.z.string(),
});
exports.Authentication = zod_1.z.object({
    account: zod_1.z.object({
        accountId: zod_1.z.string(),
    }),
    authToken: exports.AuthToken,
    user: zod_1.z.object({
        email: zod_1.z.string(),
    }),
});
exports.AppletInfo = zod_1.z.object({
    accountId: zod_1.z.string(),
    applet: zod_1.z.object({
        encryption: zod_1.z.object({
            appletPrime: zod_1.z.array(zod_1.z.number()),
            appletPublicKey: zod_1.z.array(zod_1.z.number()),
            base: zod_1.z.array(zod_1.z.number()),
        }),
    }),
    items: zod_1.z.record(zod_1.z.object({
        [`@id`]: zod_1.z.string(),
        [`reprolib:terms/inputType`]: zod_1.z.array(zod_1.z.object({
            [`@type`]: zod_1.z.string(),
            [`@value`]: zod_1.z.string(),
        })),
        [`reprolib:terms/responseOptions`]: zod_1.z.array(zod_1.z.object({
            [`reprolib:terms/valueType`]: zod_1.z
                .array(zod_1.z.object({
                [`@id`]: zod_1.z.string(),
            }))
                .optional(),
        })),
        [`schema:question`]: zod_1.z.array(zod_1.z.object({
            [`@language`]: zod_1.z.string(),
            [`@value`]: zod_1.z.string(),
        })),
    })),
});
exports.AppletData = zod_1.z.object({
    dataSources: zod_1.z.record(zod_1.z.object({
        data: zod_1.z.string(),
        key: zod_1.z.number(),
    })),
    keys: zod_1.z.array(zod_1.z.array(zod_1.z.number())),
    responses: zod_1.z.array(zod_1.z.object({
        MRN: zod_1.z.string(),
        activity: zod_1.z.object({
            [`@id`]: zod_1.z.string(),
            name: zod_1.z.string(),
        }),
        created: zod_1.z.string(),
        responseCompleted: zod_1.z.string(),
        data: zod_1.z.record(zod_1.z.object({
            ptr: zod_1.z.number(),
            src: zod_1.z.string(),
        })),
        userId: zod_1.z.string(),
    })),
});
//# sourceMappingURL=Responses.js.map